## kaddressbook 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
+# SPDX-License-Identifier: CC0-1.0
+# SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.3")
+set(PIM_VERSION "5.22.3")
 project(kaddressbook VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "21.12.3")
-set(KF5_MIN_VERSION "5.87.0")
+set(RELEASE_SERVICE_VERSION "22.12.3")
+set(KF5_MIN_VERSION "5.99.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -14,6 +16,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 include(ECMSetupVersion)
 include(ECMAddTests)
@@ -40,21 +43,24 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")
-set(AKONADI_VERSION "5.19.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.19.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.22.3")
+set(AKONADI_VERSION "5.22.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.22.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 
 set(QT_REQUIRED_VERSION "5.15.2")
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus PrintSupport)
-set(LIBKDEPIM_LIB_VERSION "5.19.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "5.19.3")
-set(PIMCOMMON_LIB_VERSION "5.19.3")
-set(AKONADI_SEARCH_VERSION "5.19.3")
-set(AKONADI_CONTACT_VERSION "5.19.3")
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+endif()
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test DBus PrintSupport)
+set(LIBKDEPIM_LIB_VERSION "5.22.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "5.22.3")
+set(PIMCOMMON_LIB_VERSION "5.22.3")
+set(AKONADI_SEARCH_VERSION "5.22.3")
+set(AKONADI_CONTACT_VERSION "5.22.3")
 
 # Find KF5 package
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -73,7 +79,18 @@
 find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
+if (UNIX)
+    find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
+else()
+    find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
+    set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search"
+        TYPE OPTIONAL PURPOSE "Provides search capabilities in KAddressbook and Akonadi (only debug)")
+endif()
+
+if (NOT KF5AkonadiSearch_FOUND)
+    add_definitions(-DFORCE_DISABLE_AKONADI_SEARCH)
+endif()
+
 find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
@@ -82,12 +99,13 @@
 find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.99.0
+)
 
 
-find_package(KUserFeedback 1.0.0 CONFIG) # Needs Provider::describeDataSources()
-set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")
+find_package(KUserFeedback 1.2.0 CONFIG)
+set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional).")
 
 if (TARGET KUserFeedbackWidgets)
     add_definitions(-DWITH_KUSERFEEDBACK)
