=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               kuserfeedback-dev (>= 1.2.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadisearch-dev (>= 4:22.12.3~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5dbusaddons-dev (>= 5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5grantleetheme-dev (>= 22.12.3~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kontactinterface-dev (>= 22.12.3~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               libkf5pimtextedit-dev (>= 22.12.3~),
               libkf5prison-dev (>= 5.99.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kaddressbook
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
Rules-Requires-Root: no

Package: kaddressbook
Section: utils
Architecture: any
Depends: akonadi-server,
         kaddressbook-data (= ${source:Version}),
         kdepim-runtime,
         libkf5akonadisearch-bin,
         libkf5akonadisearch-plugins,
         libkpimaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdepim-addons,
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-data
Architecture: all
Multi-Arch: foreign
Replaces: kaddressbook (<< 4:21.04.0~),
Breaks: kaddressbook (<< 4:21.04.0~),
Depends: ${misc:Depends},
Description: address book and contact data manager, data files
 This package is part of the KDE PIM module.
 This package contains data files.

Package: libkpimaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkpimaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

Package: libkpimaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kaddressbook-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage},
